Bug 7166 - Modify order notes when basket is closed
Summary: Modify order notes when basket is closed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P3 enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7163
  Show dependency treegraph
 
Reported: 2011-11-05 11:13 UTC by Julian Maurice
Modified: 2012-10-25 23:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (10.86 KB, patch)
2012-01-06 11:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7166 Adds edit order notes when the basket is closed (12.18 KB, patch)
2012-02-17 15:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7166 Adds edit order notes when the basket is closed (12.24 KB, patch)
2012-02-24 08:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7166: Adds edit order notes when the basket is closed (12.40 KB, patch)
2012-02-26 11:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
new order note page (9.78 KB, image/png)
2012-02-26 11:55 UTC, Katrin Fischer
Details
Order notes on basket page (42.13 KB, image/png)
2012-02-26 12:00 UTC, Katrin Fischer
Details
Bug 7166 Followup redirect after editing the note (2.96 KB, patch)
2012-02-29 15:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Follow-up fix: Markup corrections and improvements (9.36 KB, patch)
2012-02-29 21:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7166 Followup Adds edit order notes when the basket (1.16 KB, patch)
2012-03-01 08:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7166: Adds edit order notes when the basket is closed (13.82 KB, patch)
2012-03-19 14:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2011-11-05 11:13:20 UTC
Add possibility to edit order notes when the basket is closed.

BibLibre infos:
  Repository: git://git.biblibre.com/koha_biblibre.git
  Branch:     stetienne/ft/MT7603
Comment 1 Jonathan Druart 2012-01-06 11:40:10 UTC Comment hidden (obsolete)
Comment 2 Paul Poulain 2012-02-17 14:39:12 UTC
The script devel/misc/testbugzillapatches.pl has detected that this bug does not apply anymore, so i'm marking this bug as "does not apply".

The script is supposed to handle conflicts related to updatedatabase, but no other cases of merge conflict. So the conflict may be trivial to fix.

If it happens that the patch attached does apply cleanly, please send me an email, there's something wrong in the script. It's possible, as it's a recent script.
If the patch applies does not apply as I think, please rebase and resubmit, thanks
Comment 3 Jonathan Druart 2012-02-17 15:20:39 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2012-02-24 06:42:39 UTC
Hi Jonathan, 
your patch does not apply, I suspect 7113, but there is also a conflict in neworderempty.pl. Can you please fix and resubmit? Thank you.
Comment 5 Jonathan Druart 2012-02-24 08:18:22 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2012-02-26 11:52:52 UTC
Hi Jonathan,

I have tested your patch and it works nicely. I think perhaps display and usability can be improved a little bit. What I found is not enough for a 'failed qa', but perhaps you can consider the suggestions for a follow up:

1) I think the note gets a bit lost in the colum with the title information. Perhaps a separate column displaying the notes and the links to add or change notes would be a bit nicer.

2) After saving the note you are not redirected to the page basket or parcel page, but first have to confirm again. I think redirecting directly to the page would be a bit nicer and save one step.

3) Not sure, but perhaps a better label for the button on the new order page would be "Save" or "Update" instead of "Change".

I will attach some screenshots, so others can perhaps add their opinion without applying the patch.
Comment 7 Katrin Fischer 2012-02-26 11:54:04 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2012-02-26 11:55:26 UTC
Created attachment 7888 [details]
new order note page
Comment 9 Katrin Fischer 2012-02-26 12:00:11 UTC
Created attachment 7889 [details]
Order notes on basket page

Screenshot shows how the order note gets a bit lost/hidden within the other information in that column.
Comment 10 Jonathan Druart 2012-02-29 15:31:49 UTC Comment hidden (obsolete)
Comment 11 Owen Leonard 2012-02-29 21:01:43 UTC Comment hidden (obsolete)
Comment 12 Owen Leonard 2012-02-29 21:10:45 UTC
I noticed a very strange bug: When I'm on parcel.pl I don't see notes which I added or modified via modordernotes.pl. I thought notes were stored in the same place either way, but I see an example where parcel.pl doesn't show any notes for an order, but when I click "add note" the form on modordernotes.pl shows the data I entered previously.
Comment 13 Jonathan Druart 2012-03-01 08:41:06 UTC Comment hidden (obsolete)
Comment 14 Koha Team University Lyon 3 2012-03-19 14:15:37 UTC
Something went wrong !
Applying: Bug 7166: Adds edit order notes when the basket is closed
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging acqui/neworderempty.pl
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basket.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basket.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/acqui/neworderempty.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/acqui/parcel.tt
Failed to merge in the changes.
Patch failed at 0001 Bug 7166: Adds edit order notes when the basket is closed
Comment 15 Jonathan Druart 2012-03-19 14:50:46 UTC
Created attachment 8289 [details] [review]
Bug 7166: Adds edit order notes when the basket is closed

Rebased and Squashed patch
Comment 16 Koha Team University Lyon 3 2012-03-19 15:26:15 UTC
Edit/Add the note on basket.pl page and parcel.pl page. Everything is OK.
Comment 17 Ian Walls 2012-03-19 17:08:49 UTC
Mostly a template-only change, with a small reordering of select columns in C4::Acquisition::GetPendingOrders().  Adds valuable functionality in it's own page and script.  Marking as Passed QA.
Comment 18 Julian Maurice 2012-04-12 14:31:47 UTC
Ok in master